<template>
  <d-card
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :loadingContent="loadingContent"
    :contentNotFound="contentNotFound"
    :loadingContentType="loadingContentType"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between">{{
        data.descripcion
      }}</span>
    </template>
    <template slot="content">
      <v-simple-table>
        <template v-slot:default>
          <thead>
            <tr>
              <td>
                <strong class="font-weight-black subtitle-1">Pregunta</strong>
              </td>
              <td class="text-center">
                <strong class="font-weight-black subtitle-1"
                  >PDV en incumplimiento</strong
                >
              </td>
              <td class="text-center">
                <strong class="font-weight-black subtitle-1">Porcentaje</strong>
              </td>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(item, index) in incumplimientos" :key="index">
              <td class="td-descripcion" width="55%">
                <strong>{{ index + 1 }}. </strong>{{ item.descripcion }}
              </td>
              <td width="15%" class="text-center">
                <strong>{{ item.puntosVenta }}</strong>
              </td>
              <td width="15%" class="text-center">
                <strong>{{ item.ponderacion }}</strong>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </template>
  </d-card>
</template>
<style scoped>
.td-descripcion {
  min-width: 200px;
}
</style>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
export default {
  name: "Component-Inclumplientos",
  components: {
    "d-card": CardChart,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    data: {
      required: true,
      default() {
        return {
          descripcion: null,
          values: [],
        };
      },
      type: Object,
    },
  },
  data() {
    return {
      loadingContentType: "table-thead, table-row-divider@10",
    };
  },
  computed: {
    incumplimientos() {
      return this.data.values;
    },
  },
};
</script>
